Invarn Docs

Set up one feature of a plan.

POST/api/v1/servers/{guild}/setup/{feature}

Authorization

session
invarn_session<token>

In: cookie

Path Parameters

guild*string

A Discord ID (or one of Invarn's, which look the same).

Match^[0-9]+$
feature*string

Value in

  • "staff"
  • "verify"
  • "logs"
  • "moderation"
  • "tickets"
  • "forums"
  • "packs"
  • "antinuke"

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

What to set up. Each feature present is set up with the same settings its own page saves.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v1/servers/string/setup/staff" \  -H "Content-Type: application/json" \  -d '{}'
{  "applied": true,  "lines": [    "string"  ],  "conflicts": [    "string"  ]}